Subject: Re: bug#7819: automake does not really automatically distribute all the files it's advertised to.

From: Peter Rosin <[email-masked]>
Date: Mon, 10 Jan 2011 21:11:51 +0100

Den 2011-01-10 20:50 skrev Stefano Lattarini:
> Hello automakers.
> 
> From the automake manual, section 14.1 "Basics of Distribution":
> 
>  ``Automake also has a built-in list of commonly used files that are
>    automatically included if they are found in the current directory
>    (either physically, or as the target of a Makefile.am rule). This
>    list is printed by "automake --help". ''
> 
> And here is the current list of files automake should distribute
> automatically:
> 
>   $ automake --help
>   Usage: /usr/bin/automake [OPTION] ... [Makefile]...
>   ...
>   Files which are automatically distributed, if found:
>     ABOUT-GNU           README              config.rpath        ltcf-gcj.sh
>     ABOUT-NLS           THANKS              config.sub          ltconfig
>     AUTHORS             TODO                configure           ltmain.sh
>     BACKLOG             acconfig.h          configure.ac        mdate-sh
>     COPYING             aclocal.m4          configure.in        missing
>     COPYING.DOC         ansi2knr.1          depcomp             mkinstalldirs
>     COPYING.LESSER      ansi2knr.c          elisp-comp          py-compile
>     COPYING.LIB         compile             install-sh          stamp-vti
>     ChangeLog           config.guess        libversion.in       texinfo.tex
>     INSTALL             config.h.bot        ltcf-c.sh           ylwrap
>     NEWS                config.h.top        ltcf-cxx.sh
>   ...
> 

ar-lib is missing (perhaps because it's not in the branch you tested?).

Cheers,
Peter